sip-sdist(1)

NAME
sip-sdist - build an sdist for the sip project

SYNOPSIS
sip-sdist [options]

DESCRIPTION
sip-sdist creates an sdist (a source distribution) than be uploaded to PyPI.

OPTIONS

-h, --help
    Display a help message.

-V, --version
    Display the SIP version number.

--abi-version M[.N]
    The version number of the ABI of the sip module to target is M.N. By default the latest major version is used. If the minor version is not specified then the latest minor version of the major version is used.

--deprecations-are-errors
    The use of any deprecated feature is handled as an error rather than a warning.

--name NAME
    NAME is used instead of the PyPI project name in the pyproject.toml file in the name of the sdist file.